
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #219

Midi with fluidsynth, long pauses.

November 28, 2012 20:47 - Will F.

Status: Closed Start date: November 28, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/amidi-plug Estimated time: 0.00 hour

Target version: 3.3.4   

Affects version: 3.3.2   

Description

When stopping fluidsynth midi playback, or changing tracks in a playlist there is a long pause before the program is responsive

again.

History

#1 - November 30, 2012 04:52 - John Lindgren

- Category set to plugins/amidi-plug

This commit [1] should help a bit.  There will still be some delay, especially on tracks with a slow tempo, since the plugin currently cannot be

interrupted between MIDI events (whatever backend is in use).

[1] https://github.com/audacious-media-player/audacious-plugins/commit/f1b204cf292e9a8ba5b6df77a0c5860d0d088e9e

#2 - December 11, 2012 21:26 - Will F.

Yes, this pretty much fixes the issue. Thanks.

#3 - February 02, 2013 21:05 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.3.4

- % Done changed from 0 to 100

Will F. wrote:

Yes, this pretty much fixes the issue. Thanks.

 

Good, closing.
